Front Page / Algorithms / Inserters / front_inserter

# front_inserter

### Synopsis

    template<
          typename Seq
        >
    struct front_inserter
    {
        // unspecified
        // ...
    };

### Description

Inserts elements at the beginning of the sequence.

### Header

    #include <boost/mpl/front_inserter.hpp>

### Model of

Inserter

### Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | Front Extensible Sequence | A sequence to bind the inserter to.

### Expression semantics

The semantics of an expression are defined only where they differ from, or are not defined in Inserter.

For any Front Extensible Sequence `s`:

Expression | Semantics
--- | ---
`front_inserter<s>` | An Inserter `in`, equivalent to
    struct in : inserter<s,push_front<_1,_2> > {};

### Complexity

Amortized constant time.

### Example

    typedef reverse_copy<
          range_c<int,0,5>
        , front_inserter< vector_c<int,5,6,7,8,9> >
        >::type range;

    BOOST_MPL_ASSERT(( equal< range, range_c<int,0,10> > ));

### See also

Algorithms, Inserter, Reversible Algorithm, `inserter`, `back_inserter`, `push_front`